summaryrefslogtreecommitdiffstats
path: root/audio/shorten
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:30:55 +0200
committer Heinz Wiesinger2010-05-11 20:30:55 +0200
commit443357a8e7a431b9451f76b332d1a3a8d6c68bb6 (patch)
tree97098d96972f577ecc7f9373e3d4d16dc3577771 /audio/shorten
parent14af457f361896cda907570c69ee59c8593a6134 (diff)
downloadslackbuilds-443357a8e7a431b9451f76b332d1a3a8d6c68bb6.tar.gz
audio/shorten: Moved from multimedia
Diffstat (limited to 'audio/shorten')
-rw-r--r--audio/shorten/README9
-rw-r--r--audio/shorten/shorten.SlackBuild63
-rw-r--r--audio/shorten/shorten.info8
-rw-r--r--audio/shorten/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/audio/shorten/README b/audio/shorten/README
new file mode 100644
index 0000000000..875c946596
--- /dev/null
+++ b/audio/shorten/README
@@ -0,0 +1,9 @@
+shorten reduces the size of waveform files (such as audio) using
+Huffman coding of prediction residuals and optional additional
+quantisation. In lossless mode the amount of compression obtained
+depends on the nature of the waveform. Those composing of low
+frequencies and low amplitudes give the best compression, which may
+be 2:1 or better. Lossy compression operates by specifying a minimum
+acceptable segmental signal to noise ratio or a maximum bit rate. Lossy
+compression operates by zeroing the lower order bits of the waveform,
+so retaining waveform shape.
diff --git a/audio/shorten/shorten.SlackBuild b/audio/shorten/shorten.SlackBuild
new file mode 100644
index 0000000000..cb14b34489
--- /dev/null
+++ b/audio/shorten/shorten.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for shorten
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=shorten
+VERSION=3.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [ACINR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/shorten/shorten.info b/audio/shorten/shorten.info
new file mode 100644
index 0000000000..fcb592b1b2
--- /dev/null
+++ b/audio/shorten/shorten.info
@@ -0,0 +1,8 @@
+PRGNAM="shorten"
+VERSION="3.6.1"
+HOMEPAGE="http://shnutils.freeshell.org/shorten/"
+DOWNLOAD="http://shnutils.freeshell.org/shorten/dist/src/shorten-3.6.1.tar.gz"
+MD5SUM="fb59c16fcedc4f4865d277f6e45866a7"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="David Somero"
diff --git a/audio/shorten/slack-desc b/audio/shorten/slack-desc
new file mode 100644
index 0000000000..6231583dd3
--- /dev/null
+++ b/audio/shorten/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shorten: shorten (audio de/compression tool)
+shorten:
+shorten: shorten reduces the size of waveform files (such as audio) using
+shorten: Huffman coding of prediction residuals and optional additional
+shorten: quantisation. It can do so with both lossy and lossless methods.
+shorten:
+shorten: Homepage: http://shnutils.freeshell.org/shorten/
+shorten:
+shorten:
+shorten:
+shorten: